var voice_personals_services_module = angular.module('voicePersonals.services');

voice_personals_services_module.factory('vpConfig', function() {

    var softwareVersion = '1.3';
    var softwareUpdateURI = "/mobile/android/download";

    //var baseAPIURL = 'https://lovebundance/phone-personals.com';
    //var baseAPIURL = 'http://lovebundance/phone-personals.com';   // required for android file transfer, SSL is strict
    //var webSocketURI = 'ws://lovebundance:8080';

    var baseAPIURL = 'https://www.phone-personals.com';
    // var webSocketURI = 'ws://www.phone-personals.com:8081';

    var isCordova = (typeof window.cordova === 'undefined') ? false : true;

    var ubbseenTooToo57Warning = false;

    var category = {
        type1: 'Friendship',
        type2: 'Dating',
        type3: 'Romance and Love',
        type4: 'Casual Encounters'
    };

    var categoryFilters = [
        {label: 'Show All', value: 'all'},
        {label: 'Friendship', value: 'friendship'},
        {label: 'Dating', value: 'dating'},
        {label: 'Romance and Love', value: 'romance-and-love'},
        {label: 'Casual Encounters', value: 'casual-encounters'}
    ];

    return {

        baseAPIURL: function() {
            return baseAPIURL;
        },

        isCordova: function() {
            return isCordova;
        },

        webSocketURI: function() {
            return webSocketURI;
        },

        getSoftwareVersion: function() {
            return softwareVersion;
        },

        getSoftwareUpdateURI: function() {
            return baseAPIURL + softwareUpdateURI;
        },

        getCategories: function() {
            return category;
        },

        getUbbseenTooToo57Warning: function() {
            return ubbseenTooToo57Warning;
        },

        getCategoryFilters: function() {
            return categoryFilters;
        }

    }

});