var voice_personals_services_module = angular.module('voicePersonals.services');

voice_personals_module.factory('vpSplashScreen', function($interval) {

    var browsePersonalsLoaded = false;
    var hideInterval = null;

    function disableSplashScreen() {
        if (browsePersonalsLoaded)  {
            $interval.cancel(hideInterval);
            navigator.splashscreen.hide();
        }
    }

    return {

        //hide splash screen once personals have loaded
        startHideScreenCheck: function() {
            hideInterval = $interval(disableSplashScreen, 1000);
        },

        hideSplashScreen: function(bool) {
            browsePersonalsLoaded = bool;
        }
    }

});