var voice_personals_services_module = angular.module('voicePersonals.services');

voice_personals_services_module.factory('vpSystemConfirmAction', function($ionicPopup, $q) {  //this might actually probably be better as a directive?

    return {

        showSystemConfirmation: function(title, confirmQuestion) {

            var q = $q.defer();

            var confirmPopup = $ionicPopup.confirm({
                title: title,
                template: confirmQuestion
            });

            confirmPopup.then(function(res) {

                if(res) {
                    q.resolve("User confirmed.");
                } else {
                    q.reject("User Cancelled.");
                }

            });

            return q.promise;
        }

    }

});