var voice_personals_services_module = angular.module('voicePersonals.services');

voice_personals_services_module.factory('vpDatePicker', function($q) {
    return {
        showDatePicker: function() {

            var startDate = new Date();
            startDate.setFullYear(startDate.getFullYear() - 20);

            var options = {
                date: startDate,
                mode: 'date'
            };

            var q = $q.defer();
            datePicker.show(options, function(date){
                if (typeof date === 'undefined')
                    q.reject("Cancelled");
                else
                    q.resolve(date);
            });

            return q.promise;
        }
    }
});